#ifndef MTITLEBAR_H
#define MTITLEBAR_H

#include <LoQClass/loqtitlebar.h>
#include <QLabel>
#include <QPushButton>
#include <QHBoxLayout>
#include <QDebug>
#include <QFile>
#include <QMenu>
#include <QAction>
#include <QActionGroup>
#include <QSettings>
#include <QPainter>
#include <QStyleOption>
#include "loappconfig.h"
#include <QSimpleUpdater.h>

class mTitleBar : public LoQTitleBar
{
    Q_OBJECT
public:
    explicit mTitleBar(QWidget *parent = nullptr);
    ~mTitleBar();

    void setupLang();
    void refreshLable();

    QAction *act_lang = nullptr;
   // QAction *act_setting = nullptr;
    QAction *act_help   = nullptr;
    QAction *act_update   = nullptr;
    QAction *act_updatefirmware   = nullptr;
    QAction *act_softconfiguration   = nullptr;

    QAction *act_about  = nullptr;
    void Close();
signals:
    void sigLanguageChanged(const QString&);
    void sigGuangYingPinChanged();

private slots:
    void onLanguageChanged(QAction* act);
    void onMainMenuChanged(QAction* act);
    void updateChangelog(QString strTip);
private:
    QPushButton *bn_Setting;
    QString m_lang;
    QSimpleUpdater *m_updater;

};

#endif // MTITLEBAR_H
